/*
 *	awk.r - Commando dialog for awk.
 *	awk is Copyright Daniel K. Allen, 1987-2003.
 *	All rights reserved.
 *
 *	21 Mar 1987 - Created by Dan Allen.
 *	22 Jun 1999 - Summary and more options added.
 *	28 Oct 1999 - ENVIRON added to language summary.
 *	 4 Apr 2000 - CONVFMT, SYMTAB added to language summary.
 *	 9 May 2001 - Added fflush and rearranged langauge summary.
 *	22 Jan 2003 - Updated version string.
 *	25 Mar 2003 - Added tolower and toupper.
 *	13 Aug 2003 - Updated version strings.
 *
 */

#include "cmdo.r";

resource 'cmdo' (128, "awk") {
	{	/* array dialogs: 1 elements */
		/* [1] */
		300,
		"awk is a /pattern/ { action } language modeled after sed, sh, and C.  "
		"awk was created by Aho, Weinberger, and Kernighan. ",
		{
			NotDependent { },
			Redirection {
				StandardInput,
				{20, 15}
			},

			NotDependent { },
			Redirection {
				StandardOutput,
				{70, 15}
			},

			NotDependent { },
			Redirection {
				DiagnosticOutput,
				{120, 15}
			},

			NotDependent { },
			CheckOption {
				NotSet,
				{120, 140, 135, 230},
				"Debug",
				"-d",
				"Sets an internal debugging flag.",
			},

			NotDependent { },
			CheckOption {
				NotSet,
				{140, 140, 155, 230},
				"File",
				"-f fileName",
				"Specifies a file to use as an awk script.",
			},

			NotDependent { },
			CheckOption {
				NotSet,
				{160, 140, 175, 230},
				"Safe Mode",
				"-safe",
				"Safe mode, where no system calls are allowed.",
			},
	
			NotDependent { }, 
			RegularEntry {
				"Field Separator",
				{125, 340, 140, 450},		/* title */
				{127, 247, 143, 327},		/* TEBox */
				"-Fx", ignoreCase, "",
				"Specifies the field separator character.  Defaults to any run of spaces and tabs."
			},
			
			NotDependent { }, 
			RegularEntry {
				"Set a Variable",
				{160, 340, 175, 450},		/* title */
				{159, 247, 175, 327},		/* TEBox */
				"-v var=val", ignoreCase, "",
				"Sets an Awk variable to a value."
			},

			/* Awk Summary */
			NotDependent { }, 
			TextTitle {
				plain,
				{ 20, 140, 32, 470 },
				3,9,"=  +=  -=  *=  /=  %=  ^=  ?:  ||  &&  in  ~  !~  <  <=  >  >=  !=  ==",
			},

			NotDependent { }, 
			TextTitle {
				plain,
				{ 32, 140, 44, 470 },
				3,9,"+  -  *  /  %  ^  ++  --  $  sqrt exp log sin cos atan2 int rand srand",
			},

			NotDependent { }, 
			TextTitle {
				plain,
				{ 44, 140, 56, 470 },
				3,9,"BEGIN END function return if else do while for break continue next exit",
			},

			NotDependent { }, 
			TextTitle {
				plain,
				{ 56, 140, 68, 470 },
				3,9,"FILENAME FNR NF NR FS RS OFS ORS getline print printf sprintf",
			},

			NotDependent { }, 
			TextTitle {
				plain,
				{ 68, 140, 80, 470 },
				3,9,"RLENGTH RSTART gsub sub match \\ ^ $ . | ( ) [ ] * + ?",
			},

			NotDependent { }, 
			TextTitle {
				plain,
				{ 80, 140, 92, 470 },
				3,9,"OFMT CONVFMT SUBSEP substr index length split delete",
			},

			NotDependent { }, 
			TextTitle {
				plain,
				{ 92, 140, 104, 470 },
				3,9,"ARGC ARGV ENVIRON SYMTAB system fflush close tolower toupper",
			},

			NotDependent { }, 
			TextBox {
				gray,
				{ 15, 135, 109, 470 },
				"Awk Summary",
			},

			NotDependent { },
			VersionDialog {
				VersionString { "2.123" },
				"New Awk for MPW, version 31 Jul 2003 from BWKs Web site.\n"
				"Ported from http://inferno.bell-labs.com/cm/cs/who/bwk/index.html.\n"
				"Built " $$Date " @ " $$Time " by Dan Allen.\n",
				noDialog
			}
		}
	}
};
