# /****************************************************************
# Copyright (C) Lucent Technologies 1997
# All Rights Reserved
# 
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby
# granted, provided that the above copyright notice appear in all
# copies and that both that the copyright notice and this
# permission notice and warranty disclaimer appear in supporting
# documentation, and that the name Lucent Technologies or any of
# its entities not be used in advertising or publicity pertaining
# to distribution of the software without specific, written prior
# permission.
# 
# LUCENT DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
# INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
# IN NO EVENT SHALL LUCENT OR ANY OF ITS ENTITIES BE LIABLE FOR ANY
# SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER
# IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
# ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF
# THIS SOFTWARE.
# ****************************************************************/

OFILES = 	b.o main.o parse.o proctab.o tran.o lib.o run.o lex.o ytab.o missing95.o

SOURCE = 	awk.h ytab.c ytab.h proto.h awkgram.y lex.c b.c main.c maketab.c parse.c lib.c run.c tran.c missing95.c

awk.exe:	$(OFILES)
	cl -o awk.exe -Ox b.c main.c parse.c proctab.c tran.c lib.c run.c lex.c ytab.c missing95.c -link setargv.obj

proctab.o:  proctab.c

proctab.c:	maketab.exe
	maketab.exe > proctab.c

maketab.exe:	ytab.h maketab.c
	cl maketab.c -o maketab.exe

$(OFILES):	awk.h ytab.h proto.h

clean:
	rm -f awk.exe *.obj maketab.exe proctab.c foo

